## cloudkitty-tempest-plugin 2.0.0

=== debian/changelog ===
cloudkitty-tempest-plugin (2.0.0-2) unstable; urgency=medium

  * Uploading source-only.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2020 11:04:54 +0200

cloudkitty-tempest-plugin (2.0.0-1) unstable; urgency=medium

  * Initial packaging (Closes: #961517).

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 May 2020 16:57:12 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/cloudkitty-tempest-plugin/tags .*/(\d[\d\.]+)\.tar\.gz

## cloudkitty-tempest-plugin 2.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

keystoneauth1>=2.18.0 # Apache-2.0
oslo.config>=3.18.0 # Apache-2.0
oslo.serialization>=2.14.0 # Apache-2.0
pbr>=2.0 # Apache-2.0
python-keystoneclient>=3.6.0 # Apache-2.0
six>=1.9.0 # MIT
tempest>=15.0.0 # Apache-2.0

=== debian/changelog ===
cloudkitty-tempest-plugin (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 16:27:01 +0200

cloudkitty-tempest-plugin (2.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Oct 2020 09:48:39 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/cloudkitty-tempest-plugin/tags .*/(\d[brc\d\.]+)\.tar\.gz

## cloudkitty-tempest-plugin 2.4.1

=== debian/changelog ===
cloudkitty-tempest-plugin (2.4.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:34:07 +0200

cloudkitty-tempest-plugin (2.4.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 10:58:03 +0200

cloudkitty-tempest-plugin (2.4.0-1) experimental; urgency=medium

  * New usptream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 10:31:34 +0200

cloudkitty-tempest-plugin (2.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:44:09 +0200

cloudkitty-tempest-plugin (2.3.0-1) experimental; urgency=medium

  * New usptream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Mar 2021 09:33:53 +0200

cloudkitty-tempest-plugin (2.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Mar 2021 21:16:41 +0100

=== debian/control ===
Source: cloudkitty-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/cloudkitty-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/cloudkitty-tempest-plugin.git
Homepage: https://opendev.org/openstack/cloudkitty-tempest-plugin

Package: cloudkitty-tempest-plugin
Architecture: all
Depends:
 python3-pbr,
 python3-oslo.config,
 python3-oslo.utils,
 python3-six,
 tempest,
 python3-gabbi,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - CloudKitty plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the CloudKitty plugin.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/cloudkitty-tempest-plugin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	pkgos-dh_auto_test --no-py2
#endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## cloudkitty-tempest-plugin 2.5.0

=== debian/changelog ===
cloudkitty-tempest-plugin (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 16:31:07 +0100

cloudkitty-tempest-plugin (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2022 22:34:50 +0100

## cloudkitty-tempest-plugin 2.6.0

=== debian/changelog ===
cloudkitty-tempest-plugin (2.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Sep 2022 16:39:30 +0200

## cloudkitty-tempest-plugin 2.7.1

=== debian/changelog ===
cloudkitty-tempest-plugin (2.7.1-3) unstable; urgency=medium

  * Cleans properly (Closes: #1044018).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 13:24:13 +0200

cloudkitty-tempest-plugin (2.7.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 15:33:26 +0200

cloudkitty-tempest-plugin (2.7.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Mar 2023 13:40:12 +0100

cloudkitty-tempest-plugin (2.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 10:21:44 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build
 
 override_dh_auto_test:
 	echo "Do nothing..."

## cloudkitty-tempest-plugin 2.8.0

=== debian/changelog ===
cloudkitty-tempest-plugin (2.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 18:32:40 +0200

cloudkitty-tempest-plugin (2.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2023 17:10:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
-	rm -rf build
+	rm -rf build *.egg-info
 
 override_dh_auto_test:
 	echo "Do nothing..."

## cloudkitty-tempest-plugin 2.9.0

=== debian/changelog ===
cloudkitty-tempest-plugin (2.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 15:44:24 +0200

cloudkitty-tempest-plugin (2.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Mar 2024 12:38:12 +0100

## cloudkitty-tempest-plugin 3.0.0

=== debian/changelog ===
cloudkitty-tempest-plugin (3.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090405).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 17:17:00 +0100

cloudkitty-tempest-plugin (3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Aug 2024 16:57:25 +0200

## cloudkitty-tempest-plugin 3.1.0

=== debian/changelog ===
cloudkitty-tempest-plugin (3.1.0-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 14:55:26 +0100

cloudkitty-tempest-plugin (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 14:50:23 +0100

## cloudkitty-tempest-plugin 3.2.0

=== debian/changelog ===
cloudkitty-tempest-plugin (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:36:11 +0100

cloudkitty-tempest-plugin (3.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 16:59:20 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean

## cloudkitty-tempest-plugin 3.3.0

=== requirements.txt ===
--- 
+++ 
@@ -7,5 +7,4 @@
 oslo.serialization>=2.14.0 # Apache-2.0
 pbr>=2.0 # Apache-2.0
 python-keystoneclient>=3.6.0 # Apache-2.0
-six>=1.9.0 # MIT
 tempest>=15.0.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2  # BSD
openstackdocstheme>=1.11.0  # Apache-2.0
reno>=1.8.0 # Apache-2.0

=== debian/changelog ===
cloudkitty-tempest-plugin (3.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:30:54 +0200

cloudkitty-tempest-plugin (3.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Sep 2025 16:26:02 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
  python3-pbr,
  python3-oslo.config,
  python3-oslo.utils,
- python3-six,
  tempest,
  python3-gabbi,
  tempest,

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/cloudkitty-tempest-plugin refs/tags/(\d[brc\d\.]+)
